#include <iostream>
#include <stdlib.h>

int main(int argc, char* argv[]) {
	
	int n;
	std::cin >> n;
	int raz = 0;
	bool d = true;
	int t1, t2;
	for (int i = 0; i < n-1; i++) {
		d = !d;
		if (d) { raz++; }
		std::cin >> t1 >> t2;
	}
	std::cout << raz << std::endl;
    return 0;
}